Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.datadefinition.makumba
Class FileRecordInfo

    java.lang.Object
      org.makumba.providers.datadefinition.makumba.RecordInfo
          org.makumba.providers.datadefinition.makumba.FileRecordInfo

All Implemented Interfaces:
  Serializable, DataDefinition, ValidationDefinition

    public class FileRecordInfo

extends RecordInfo

A DataDefinition for storing files. The record parse will replcae 'fieldName = file' with this data definition to support rapid application development with file storage.

Version:
  $Id: FileDataDefinition.java,v 1.1 Jul 18, 2008 1:12:42 AM rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.makumba.DataDefinition
`DataDefinition.MultipleUniqueKeyDefinition, DataDefinition.QueryFragmentFunction`

Field Summary

Fields inherited from class org.makumba.providers.datadefinition.makumba.RecordInfo
`createName, fieldOrder, fields, functionNames, indexName, infos, mainPtr, modifyName, name, origin, papa, ptrSubfield, relations, setField, subfield, subfieldPtr, templateValues, title, webappRoot`

Constructor Summary
`FileRecordInfo(RecordInfo ri, String subfield)`

Method Summary

Methods inherited from class org.makumba.providers.datadefinition.makumba.RecordInfo
`addField, addField1, addFunction, addMultiUniqueKey, addRule, addRule, addStandardFields, addValidationRule, checkFieldNames, checkUpdate, fieldPrefix, getActorFunctions, getBaseName, getCreationDateFieldName, getDataDefinition, getFieldDefinition, getFieldDefinition, getFieldNames, getFieldOrPointedFieldDefinition, getFunction, getFunctions, getIndexPointerFieldName, getLastModificationDateFieldName, getMultiFieldUniqueKeys, getName, getOrigin, getParentField, getRecordInfo, getReferenceFields, getSessionFunctions, getSetMemberFieldName, getSetOwnerFieldName, getSimpleRecordInfo, getTitleFieldName, getUniqueFields, getValidationDefinition, getValidationRule, getValidationRules, hasMultiUniqueKey, hasValidationRules, isTemporary, lastModified, makeSubtable, setWebappRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileRecordInfo

    public FileRecordInfo(RecordInfo ri,
                          String subfield)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20